Subject: RE: bug#31623: 27.0; Elisp manual, index entry "; in comment"

From: Drew Adams <[email-masked]>
Date: Tue, 29 May 2018 19:23:12 -0700 (PDT)

> >> > If that's the intention then I think it might be clearer
> >> > if the index entry were "; outside a comment" or maybe
> >> > "; not in a comment".
> 
> > But certainly the `;' that starts a comment is part of the
> > comment itself.  No one would doubt that, I think.
> 
> I'm a bit puzzled then.  How would "; outside a comment" make sense for
> a page which talks about comments?  That seems to be the opposite of
> what it's about.

That's not a great index entry either.  The target text
is not at all about `;' in text that is commented.  It
is only about `;' used as a comment-start char.

> > The entry should indicate something about the subject
> > indexed.  "; in comment" does not do that, for me, at
> > least.
> 
> What do you think about the "(...) in lists" entry?

Never noticed it.  At least it's not a character.

If I had to guess naively, I'd probably expect that to
take me to some text about nested lists.  IMO, it too
is a bad index entry.  It's not clear at all what someone
might be looking for who would find that a description
that might help her find what is sought.

> > Or perhaps you have a suggestion.
> 
> I don't really see a problem with the current one, but I guess "; for
> commenting" (in the same vein as "' for quoting") could be okay.